/*-- Main: Question & Answer section --*/
.questionSection{
  padding: 0rem 1rem;
}
.question-counter{
    text-align: left;
    color: #99cc01;
}
.question-text1{
    font-weight: bold;
    text-align: left;
    line-height: 3rem;

    color: #003466;
}
.answerSection{ 
 padding-left: 0.5rem;
}

#answer-text{
  padding: 0rem 2rem 3rem;
}

/* --- Speech bubble ---- */
.answerBox {
  color: #003466;
  text-align: left;
  padding: 4.5rem 0rem 1.5rem;
  margin: 2rem 0rem;
  background-color:#e6e6e6;
  position: relative;
  border-radius: 10px;
}
.answerBox, .answerBox::before, .answerBox::after {
  background: #ebebeb;
}

.answerBox::after {
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  border-top: 0px solid transparent;
  border-bottom: 40px solid transparent;
  border-right: 60px solid #ebebeb;
  left: -50px;
  bottom: 8px;
  background-color: transparent;
}

/* --- relevance likert --- */
.question-relevance{
  max-height: 35%;
  margin:auto;
  position:relative;
  padding-top: 1rem;
  background-color: #f8f8f8;
  border-radius: 10px;
} 
#relevance-text{
  text-align: center;
}
.relevance-likert{
  max-width: 60%;
  position: relative;
}

/*----- Likert Scale  -----*/
.likertBand{
  max-width: 100%;
}

.likertLine {
  display: inline-block;
  max-width: 50%;
  vertical-align: baseline;
  padding-bottom: 0.5rem;
  border-top: 1px solid #8192A6;
}

.likertIndicator {
  display: inline-block;
  width: 15px;
  height: 15px;
  border-radius: 3px;
  border: thin solid #8192A6;
  background-color: #ffff;
  position: absolute;
  left: 50%;
  transform: translateX(-40%);
  top: 0;
  box-sizing: border-box;
  transition: all linear 200ms;
}

.likertResponse:hover .likertIndicator {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background-color: #d3e9b3;
  border: thin solid #6b9e1f;
  border-width: 3px;
  transition: all linear 300ms;
}
.likertText {
  color: #6B9E1F;
  display: inline-block;
  width: 70%;
  line-height: 1.2rem;
  box-sizing: border-box;

}
.likertScale.isKeyboardUser .likertResponse > input:focus ~ .likertIndicator {
  /* Show outline for keyboard users. */
  box-shadow: 0 0 5px 2px #6b9e1f;
}
.likertResponse > input:checked + .likertIndicator {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #6b9e1f;
}
.likertResponse > input:checked + .likert{
  display: inline-block;
  width: 50%;
  border-top: 2px solid #99cc01;
}


/* ---  Media query For Mobile & Tablet size ---- */
/* Smartphones (portrait) ----------- */
@media only screen and (max-width: 325px),
      only screen and (min-width : 326px) and (max-width : 480px){
  .mainContainer{
    background-color: #fff;
    width: 100%;
  }
  .question-text1{
    line-height: 2rem;
  }
  .answerBox {
    padding: 1rem 0rem 1rem;
  }
  .answerBox::after {
    content: '';  
    border-top: 0px solid transparent;
    border-bottom: 0px solid transparent;
    border-right: 0px;
    background-color: transparent;
  }
  #relevance-text{
    text-align: left;
    padding-left: 1rem;
  }
  .question-relevance{
    max-height: 50%;
  } 
  .relevance-likert{
    max-width: 70%;
    position: relative;
  }

}
/* Smartphones (portrait) ----------- */
@media only screen and (min-width : 326px) and (max-width : 480px){ 
  .app-body{
    margin: 0rem;
    min-width: 100%;
    max-height: 100%;
    left: 50%;
    top: 0%;
    transform: translate(-50%, -0%);
    background-color: #fff;
  }

  .question-text1{
    line-height: 2.2rem;
  }
  
  .answerBox {
    padding: 2rem 0rem 1rem;
  }
  
  #relevance-text{
    text-align: left;
    padding-left: 1.5rem;
  }

}

@media only screen and (min-width : 481px) and (max-width:767px) {
  body{
    background-color: #fff;
  }
  .app-body{
    margin-top: 0rem;
    min-width: 100%;
    max-height: 100%;
    background-color: #fff;
  }

  .question-text1{
    line-height: 2.4rem;
  }
  .answerBox {
    padding: 1rem 0rem 1rem;
  }
  .answerBox::after {
    content: '';  
    border-top: 0px solid transparent;
    border-bottom: 0px solid transparent;
    border-right: 0px ;
    background-color: transparent;
  }
  #relevance-text{
    text-align: left;
    padding-left: 1.5rem;
  }
  .question-relevance{
    max-height: 50%;
  } 
}

/* Smartphones (landscape) md ≥ 992px sm ≥768px xs < ----------- */
@media only screen and (min-width : 320px) and (max-width : 991px) and (orientation : landscape){ 
  body{
    background-color: #fff;
  }
  .app-body{
    margin: 0rem;
    min-width: 100%;
    max-height: 100%;
    left: 50%;
    top: 0%;
    transform: translate(-50%, -0%);
    background-color: #fff;
  }

  .question-text1{
    line-height: 2.5rem;
  }
  .answerBox {
    padding: 2rem 0rem 1rem;
  }
  
  #relevance-text{
    text-align: left;
    padding-left: 1.5rem;
  }
  .relevance-likert{
    max-width: 70%;
    position: relative;
  }
  .question-relevance{
    max-height: 50%;
  }
}

/* sm:768≤ x,  ms:992px ≤ x ----------- */
@media only screen and (min-width : 768px) and (max-width : 992px){
  .app-body{
    margin: 0rem;
    max-width: 90%;
    min-height: 82%;
    background-color: #fff;
  }
  #relevance-text{
    text-align: left;
    padding-left: 1.5rem;
  }
  .question-relevance{
    max-height: 50%;
  } 
}